using FluentValidation;
using PARR.API.Contracts.V1.Requests;

namespace PARR.API.Validators
{
    public class UserRequestValidator : AbstractValidator<UserRequest>
    {
        public UserRequestValidator()
        {
            RuleFor(t => t.Ip).Matches("\\b((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)(\\.|$)){4}\\b").WithMessage("Не является ip адресом");

            RuleFor(t => t.Name).NotEmpty();

        }
    }
}
